uniform mat4 modelViewProjectionMatrix;
uniform mat4 modelViewMatrix;

uniform vec4 additionalColor;
uniform vec4 ambientColor;
uniform vec4 color;
uniform float alpha;

attribute vec4 position;

varying vec4 vertexColor;

void main() {
	vertexColor = ambientColor + additionalColor + color;
	vertexColor = vec4(vertexColor.rgb, alpha);
	gl_Position = modelViewProjectionMatrix * position;
}